package main

import (
	"time"

	"github.com/br0xen/termbox-util"
	termbox "github.com/nsf/termbox-go"
)

// AboutScreen holds all that's going on
type AboutScreen struct {
	viewPort       *ViewPort
	message        string
	messageTimeout time.Duration
	messageTime    time.Time
}

func (screen *AboutScreen) initialize(bundle Bundle) error {
	return nil
}

func (screen *AboutScreen) handleKeyEvent(event termbox.Event) int {
	return ScreenMain
}

func (screen *AboutScreen) drawScreen() {
	width, height := termbox.Size()
	exitTxt := "Press any key to return to tasks"
	termboxUtil.DrawStringAtPoint(exitTxt, (width-len(exitTxt))/2, height-1, TitleFg, TitleBg)
}
